summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/gnucap
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/gnucap')
-rw-r--r--sci-electronics/gnucap/Manifest5
-rw-r--r--sci-electronics/gnucap/files/gnucap-0.35-gcc43.patch22
-rw-r--r--sci-electronics/gnucap/gnucap-0.35.20091207.ebuild81
-rw-r--r--sci-electronics/gnucap/metadata.xml13
4 files changed, 121 insertions, 0 deletions
diff --git a/sci-electronics/gnucap/Manifest b/sci-electronics/gnucap/Manifest
new file mode 100644
index 00000000000..789ee28f90a
--- /dev/null
+++ b/sci-electronics/gnucap/Manifest
@@ -0,0 +1,5 @@
+DIST gnucap-2009-12-07-models-bsim.tar.gz 4074699 SHA256 17e06676ba16847d426d026fa2878ff432b81169df11c0a7fe4627afdfbb2786 SHA512 4f7caaeab0268df113da726f4fbd5a0f3eff63c325a7c08f0cd10ec727318aff6a51ce81619f0f3e31b87f89a51643cd608cb14ba09a70fb7294df9748ed1db4 WHIRLPOOL 9c775ef60c0174d38e1cb5511a20bd24f513c93c13739031580ebdd17d0b3a6db3817edd09d4fe19be456651b5a1659202973790a79bfddaae31fa0c25305fa5
+DIST gnucap-2009-12-07-models-jspice3-2.5.tar.gz 502564 SHA256 732f95292ed8c6dc2354985a2f2ddb875bfa48ae1ca12fe037aa8c0ddf49e29a SHA512 90d93912d5d000218f43e7b63efcd43473467d7d51c1cee160f3fbe53b0bafd5bdeaf5680e2ca67d3176063ba026352248412d1e266d3f6ed93e731e476d61fe WHIRLPOOL 6ad1b4f01cfd1662d218da3d89ed832ce6d3ba66eac54113fb00daeee127ff9c98ea6a6144a9c4e3f2fb1af97e3bcd7e8bf7435bc86ae4da2bd3428febe5a6d9
+DIST gnucap-2009-12-07-models-ngspice17.tar.gz 4418060 SHA256 cf66e6cae5ad1e47d7702a62b94beb66dd88b2230781ded3c2be1defd90e757c SHA512 0f26b4491531d41f18d35b8cde339e99b593794495346186dac74f72bd3632dfe4690ede50a972c47ae41b2229a62d708ecd28bb8fc04b5b7347a481bca709d5 WHIRLPOOL 763db6c2f810d9567bae8de698a484a83a7e3697b1adf56ef9f075a4bdcf1bc71aaf1ca8d07212b05d7607f7b91c973eb4fc7828a5e3e4d7826fda4ee0ea3bbb
+DIST gnucap-2009-12-07-models-spice3f5.tar.gz 629424 SHA256 4b2880aec340823cb2474e5dbecf99fff238325e3820de22a1392d3d85c3c9ed SHA512 4c16e4bcdd3b4092bd6c89c56421ef9ca85b6aba90d9e244fee03278916c6b5ac1c56ecba62d4a5561ff3d93abc61492c0116ccc350c483128ca792b52fa7155 WHIRLPOOL 70f5583914d68777b79fc7b3ef89849f645553ce252033cd7f8f4a9845063b9d9a378cfb18a58570d8255c6499881abca44eba78bdd82f9b7d1de17e7ae81bd3
+DIST gnucap-2009-12-07.tar.gz 545578 SHA256 f6cd8fc0e0636a1aaa50def5a3db2a667b4fff3cb7a34fa0710753082e74e65e SHA512 c0e8a4f6b66eeff2cf95e9cf2050a25aa08f660de1e4b3e78011998deb93cd4e5b562cdcf5f3beb72e04cb3c7650cde6ae8c81602ffc31f5e333d84e7e3867a9 WHIRLPOOL 57f7dfa291ae75f54fa92c387a35c90f6f30cd08e08de3255936756d0a39e41dd9e94219ced704a19cf12d0bac5fe2c2a71bc41841094787dbb867be04753541
diff --git a/sci-electronics/gnucap/files/gnucap-0.35-gcc43.patch b/sci-electronics/gnucap/files/gnucap-0.35-gcc43.patch
new file mode 100644
index 00000000000..3bd64891610
--- /dev/null
+++ b/sci-electronics/gnucap/files/gnucap-0.35-gcc43.patch
@@ -0,0 +1,22 @@
+diff -Naur gnucap-0.35-orig/modelgen/md.h gnucap-0.35/modelgen/md.h
+--- gnucap-0.35-orig/modelgen/md.h 2006-08-28 00:15:43.000000000 -0600
++++ gnucap-0.35/modelgen/md.h 2009-02-15 14:31:22.000000000 -0600
+@@ -44,6 +44,7 @@
+ #include <csetjmp>
+ #include <csignal>
+ #include <iostream>
++#include <cstring>
+ // types
+ #include <complex>
+ #include <string>
+diff -Naur gnucap-0.35-orig/src/md.h gnucap-0.35/src/md.h
+--- gnucap-0.35-orig/src/md.h 2006-08-28 00:15:43.000000000 -0600
++++ gnucap-0.35/src/md.h 2009-02-15 14:31:22.000000000 -0600
+@@ -44,6 +44,7 @@
+ #include <csetjmp>
+ #include <csignal>
+ #include <iostream>
++#include <cstring>
+ // types
+ #include <complex>
+ #include <string>
diff --git a/sci-electronics/gnucap/gnucap-0.35.20091207.ebuild b/sci-electronics/gnucap/gnucap-0.35.20091207.ebuild
new file mode 100644
index 00000000000..19ab60a2a82
--- /dev/null
+++ b/sci-electronics/gnucap/gnucap-0.35.20091207.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit multilib toolchain-funcs
+
+SNAPSHOTDATE="${P##*.}"
+MY_PV="${PN}-${SNAPSHOTDATE:0:4}-${SNAPSHOTDATE:4:2}-${SNAPSHOTDATE:6:2}"
+
+DESCRIPTION="GNUCap is the GNU Circuit Analysis Package"
+SRC_URI="http://www.gnucap.org/devel/${MY_PV}.tar.gz
+ http://www.gnucap.org/devel/${MY_PV}-models-bsim.tar.gz
+ http://www.gnucap.org/devel/${MY_PV}-models-jspice3-2.5.tar.gz
+ http://www.gnucap.org/devel/${MY_PV}-models-ngspice17.tar.gz
+ http://www.gnucap.org/devel/${MY_PV}-models-spice3f5.tar.gz"
+HOMEPAGE="http://www.gnucap.org/"
+
+IUSE="examples"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 ppc x86"
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${MY_PV}"
+
+src_prepare() {
+ # No need to install COPYING and INSTALL
+ sed -i \
+ -e 's: COPYING INSTALL::' \
+ -e 's:COPYING history INSTALL:history:' \
+ doc/Makefile.in || die "sed failed"
+
+ if ! use examples ; then
+ sed -i \
+ -e 's:examples modelgen:modelgen:' \
+ Makefile.in || die "sed failed"
+ fi
+
+ sed -i -e 's:CFLAGS = -O2 -g:CPPFLAGS +=:' \
+ -e '/CCFLAGS =/i\CFLAGS += $(CPPFLAGS)' \
+ -e 's:CCFLAGS = $(CFLAGS):CXXFLAGS += $(CPPFLAGS):' \
+ -e 's:LDFLAGS = :LDFLAGS += :' \
+ -e 's:CCFLAGS:CXXFLAGS:' \
+ -e "s:../Gnucap:${S}/src:" \
+ models-*/Make2 || die "sed failed"
+
+ sed -i -e "s:strchr(str2, '|'):const_cast<char*>(strchr(str2, '|')):" \
+ {src,modelgen}/ap_match.cc || die "sed failed"
+
+ tc-export CC CXX
+}
+
+src_compile () {
+ emake || die "Compilation failed"
+ for PLUGIN_DIR in models-* ; do
+ cd "${S}/${PLUGIN_DIR}"
+ emake CC=$(tc-getCC) CCC=$(tc-getCXX) || die "Compilation failed in ${PLUGIN_DIR}"
+ done
+}
+
+src_install () {
+ emake DESTDIR="${D}" install || die "Installation failed"
+ insopts -m0755
+ for PLUGIN_DIR in models-* ; do
+ insinto /usr/$(get_libdir)/gnucap/${PLUGIN_DIR}
+ cd "${S}/${PLUGIN_DIR}"
+ for PLUGIN in */*.so ; do
+ newins ${PLUGIN} ${PLUGIN##*/} \
+ || die "Installation of ${PLUGIN_DIR}/${PLUGIN} failed"
+ done
+ done
+}
+
+pkg_postinst() {
+ elog "Documentation for development releases is now available at :"
+ elog " http://wiki.gnucap.org/dokuwiki/doku.php?id=gnucap:manual"
+}
diff --git a/sci-electronics/gnucap/metadata.xml b/sci-electronics/gnucap/metadata.xml
new file mode 100644
index 00000000000..736e953cd4d
--- /dev/null
+++ b/sci-electronics/gnucap/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-electronics</herd>
+ <longdescription>
+ Gnucap is a general purpose circuit simulator. It performs nonlinear dc and
+ transient analyses, fourier analysis, and ac analysis. Gnucap is not based on
+ Spice, but some of the models have been derived from the Berkeley models.
+ Unlike Spice, the engine is designed to do true mixed-mode simulation. Most
+ of the code is in place for future support of event driven analog simulation,
+ and true multi-rate simulation.
+ </longdescription>
+</pkgmetadata>